package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class NewCoBrowseNotification {

    public NewCoBrowseNotification() {}

    public NewCoBrowseNotification(String sessionKey, String method) {
        this.sessionKey = sessionKey;
        this.method = method;
    }

    @Override
    public String toString() {
        return "NewAgentFileTransfer{" +
                "sessionKey='" + sessionKey + '\'' +
                ", method='" + method + '\'' +
                '}';
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getSessionKey() {
        return sessionKey;
    }

    public void setSessionKey(String sessionKey) {
        this.sessionKey = sessionKey;
    }

    //{"apiVersion":"1.0","type":"notification","body":{"agentName":"user 60002","name":"2020-06-22_10-02-30.png","mimeType":"image/png",
    // "size":"24579","uuid":"B278F740-F3A4-4783-BF3E-7D360B099510","workRequestId":"E8I2oQYASF-qOrP2BnMgEQ","method":"newAgentFileTransfer"},"authToken":""}
    @JsonProperty("sessionKey")
    private String sessionKey;

    @JsonProperty("method")
    private String method;
}
